#
# spec file for package helix-dbus-server (Version 0.4.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa RealPlayer aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo compat-libstdc++ coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gnome-filesystem gnome-icon-theme gpm grep groff gtk2 gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libjpeg libltdl libmudflap41 libnscd libpng libstdc++41 libtiff libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules pango patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile zlib zlib-devel

Name:           helix-dbus-server
BuildRequires:  RealPlayer dbus-1
License:        X11/MIT
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
PreReq:         filesystem
Version:        0.4.0
Release:        8.1
Source0:        helix-dbus-server-1-%{version}.tar.bz2
URL:            http://banshee-project.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        DBus server for hxclientkit
Requires:       dbus-1-glib RealPlayer
ExclusiveArch: %ix86

%description
helix-dbus-player is made up of two main components:

hxplayer and hxmessage: a simple C/GLib wrapper on top of the Helix
hxclientkit API that consolidates hxclientkit events into a single
message API and offers full playback functionality. It also handles
threading and engine pumping

helix-dbus-server exposes hxplayer and hxmessage over DBus, allowing
full control of the Helix player and the propagation of hxmessages over
the Message signal



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%debug_package
%prep
%setup -n %{name}-1-%{version}

%build
./configure --prefix=%{_prefix}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/helix-dbus-server
%{_bindir}/helix-dbus-server
%{_libdir}/helix-dbus-server/helix-dbus-server.bin
%{_libdir}/pkgconfig/helix-dbus-server.pc
%{_datadir}/dbus-1/services/org.helixcommunity.HelixDbusServer.service

%changelog
* Fri Mar 23 2007 - abockover@suse.de
- Update to 0.4.0
- Required for Banshee 0.12.0 update
  * MaintenanceTracker-8619
  * BNC #215301
* Sat Oct 28 2006 - meissner@suse.de
- build C++ code with RPM_OPT_FLAGS too.
* Fri Oct 13 2006 - abockover@suse.de
- Update to 0.3.0
- Changes are:
  * sane Message signal API (ia{sv})
  * fixes upstream for #185276, #170031, and LD_PRELOAD libaoss
  * removed all patches from package (fixed upstream)
* Wed Aug 16 2006 - aj@suse.de
- Add dbus-1-glib-devel as BuildRequire.
* Mon Jun 19 2006 - jpr@suse.de
- Handle accented characters in song title (#185276)
* Sun May 07 2006 - jpr@suse.de
- Fix memory leak (non helix library part of #170031)
- Remove debug printf and fix gcc 4.1 warning
* Sun Apr 23 2006 - jpr@suse.de
- Update to version 0.2.2
- Changes:
  * Remove upstreamed patch
  * Work around crash in helix librbaries (helix #4856)
  * Set MIXER=/dev/nullmixer to force helix to use software
  volume (#133520)
  * Release dbus server on shutdown
  * Shutdown if banshee does not ping in 10 seconds
* Wed Mar 29 2006 - jpr@suse.de
- Run autoreconf so the libaoss patch is fully applied
* Fri Mar 24 2006 - jpr@suse.de
- preload libaoss here instead of in banshee because we our out of
  process now
* Tue Mar 14 2006 - gekker@suse.de
- Initial import of helix-dbus-server version 0.2
- This is a dbus wrapper of the 32bit helix api (#116926)
